Subject: Re: [PATCH v2] doc: imply that interactive.singleKey is disabled by default

From: Junio C Hamano <[email-masked]>
Date: Fri, 31 May 2024 10:23:31 -0700

Dragan Simic <[email-masked]> writes:

> On 2024-05-22 23:34, Dragan Simic wrote:
>> On 2024-05-22 23:31, Junio C Hamano wrote:
>>> Dragan Simic <[email-masked]> writes:
>>> 
>>>> 1:  3141fe9f7328 ! 1:  7da73f15a018 doc: note that
>>>> interactive.singleKey is disabled by default
>>>>     @@ Metadata
>>>>      Author: Dragan Simic <[email-masked]>
>>>>       ## Commit message ##
>>>>     -    doc: note that interactive.singleKey is disabled by default
>>>>     +    doc: imply that interactive.singleKey is disabled by default
>>>>          Make it clear that the interactive.singleKey
>>>> configuration option is disabled
>>> Heh, "note that" would probably be better, as we are going to say
>>> "Make it clear" anyway, no?  That is stronger than just to imply.
>>> Keeping the original version of the log message probably was
>>> sufficient.
>> Yeah, but I felt like it needed some adjustments, because the patch
>> itself was actually changed.  I hope I won't have to send the v3
>> because of that? :)
>> 
>>>> +	When set to true, allow the user to provide one-letter input
>>>> +	with a single key (i.e., without hitting the Enter key) in
>>>> +	interactive commands.  This is currently used by the `--patch`
>>>> +	mode of linkgit:git-add[1], linkgit:git-checkout[1],
>>>>  	linkgit:git-restore[1], linkgit:git-commit[1],
>>>>  	linkgit:git-reset[1], and linkgit:git-stash[1].
>>>> 
>>> The resulting text reads well.
>>> Nicely done.
>> Thanks.
>
> Just checking, is there something left to be addressed for this patch,
> before it can be considered to be pulled into the next branch?

Thanks for pinging, as these small things were on the back burner
while preparing for updates to maintenance tracks.

Apparently v2 cannot be pulled into the next branch, and I forgot if
I saw v3 already.  In general, unless I explicitly say there is no
need to resend (sometimes with conditions), I'd expect an updated
iteration sent to the list.

Thanks.